Main Page Widgets Namespaces Book

# Gtk::RecentChooserError Class Reference

Exception class for Gtk::RecentChooser errors. More...

Inheritance diagram for Gtk::RecentChooserError:

[legend]

List of all members.

## Public Types
enum | Code { NOT_FOUND, INVALID_URI }
## Public Member Functions
Code | code () const
| RecentChooserError (GError* gobject)
| RecentChooserError (Code error_code, const Glib::ustring& error_message)

## Detailed Description

Exception class for Gtk::RecentChooser errors.

## Member Enumeration Documentation

enum Gtk::RecentChooserError::Code

Enumerator:

  NOT_FOUND |
  INVALID_URI |

## Constructor & Destructor Documentation

Gtk::RecentChooserError::RecentChooserError | ( | Code | error_code,
|  | const Glib::ustring & | error_message |
| ) |  |  |

Gtk::RecentChooserError::RecentChooserError | ( | GError * | gobject | ) | `[explicit]`

## Member Function Documentation

Code Gtk::RecentChooserError::code | ( |  | ) | const

The documentation for this class was generated from the following file:

- recentchooser.h